| LightHub v4.0.0 Smarthome controller firmware

Functions | Variables
owTerm.cpp File Reference
`#include "owTerm.h"`
`#include <Arduino.h>`
`#include "utils.h"`
`#include "options.h"`
`#include "main.h"`

## Functions
bool | zero (const uint8_t *addr, uint8_t len)
int | owUpdate ()
int | owSetup (owChangedType owCh)
int | sensors_loop (void)
void | owLoop ()
int | owFind (DeviceAddress addr)
void | owAdd (DeviceAddress addr)
void | setupOwIdle (void(*ptr)())

## Variables
OneWire * | oneWire = NULL
DeviceAddress * | term = NULL
uint16_t * | wstat = NULL
DallasTemperature * | sensors = NULL
short | si = 0
int | t_count = 0
unsigned long | owTimer = 0
owChangedType | owChanged

## Function Documentation

## ◆ owAdd()

void owAdd | ( | DeviceAddress | addr | ) |

## ◆ owFind()

int owFind | ( | DeviceAddress | addr | ) |

## ◆ owLoop()

void owLoop | ( |  | ) |

## ◆ owSetup()

int owSetup | ( | owChangedType | owCh | ) |

## ◆ owUpdate()

int owUpdate | ( |  | ) |

## ◆ sensors_loop()

int sensors_loop | ( | void |  | ) |

## ◆ setupOwIdle()

void setupOwIdle | ( | void(*)() | ptr | ) |

## ◆ zero()

bool zero | ( | const uint8_t * | addr,
|  | uint8_t | len
| ) |  |

## Variable Documentation

## ◆ oneWire

OneWire* oneWire = NULL

## ◆ owChanged

owChangedType owChanged

## ◆ owTimer

unsigned long owTimer = 0

## ◆ sensors

DallasTemperature* sensors = NULL

## ◆ si

short si = 0

## ◆ t_count

int t_count = 0

## ◆ term

DeviceAddress* term = NULL

## ◆ wstat

uint16_t* wstat = NULL